L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de GNU Screen : corruption de mémoire via UTF-8 Character Sequence

Synthèse de la vulnérabilité 

Un attaquant peut provoquer une corruption de mémoire via UTF-8 Character Sequence de GNU Screen, afin de mener un déni de service, et éventuellement d'exécuter du code.
Produits impactés : Debian, Fedora, openSUSE Leap, Solaris, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de ce bulletin : 2/4.
Date de création : 17/02/2021.
Références de cette menace : CVE-2021-26937, DLA-2570-1, DSA-4861-1, FEDORA-2021-5e9894a0c5, FEDORA-2021-9107eeb95c, openSUSE-SU-2021:0304-1, RHSA-2021:0742-01, SUSE-SU-2021:0491-1, SUSE-SU-2021:0492-1, USN-4747-1, USN-4747-2, VIGILANCE-VUL-34605.

Description de la vulnérabilité 

Un attaquant peut provoquer une corruption de mémoire via UTF-8 Character Sequence de GNU Screen, afin de mener un déni de service, et éventuellement d'exécuter du code.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette alerte cybersécurité concerne les logiciels ou systèmes comme Debian, Fedora, openSUSE Leap, Solaris, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis de menace est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette annonce de menace informatique.

Solutions pour cette menace 

Debian 10 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  Debian 10 : screen 4.6.2-3+deb10u1

Debian 9 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  Debian 9 : screen 4.5.0-6+deb9u1

Fedora 32 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  Fedora 32 : screen 4.8.0-5.fc32

Fedora 33 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  Fedora 33 : screen 4.8.0-5.fc33

openSUSE Leap 15.2 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : screen 4.6.2-lp152.6.3.1

Oracle Solaris : patch pour logiciels tiers de avril 2021 v2.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

RHEL 7.9 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  RHEL 7.9 : screen 4.1.0-0.27.20120314git3c2946.el7_9

SUSE LE 12 SP2-5 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP2 : screen 4.0.4-23.6.1
  SUSE LE 12 SP3 : screen 4.0.4-23.6.1
  SUSE LE 12 SP4 : screen 4.0.4-23.6.1
  SUSE LE 12 SP5 : screen 4.0.4-23.6.1

SUSE LE 15 RTM-SP3 : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : screen 4.6.2-5.3.1
  SUSE LE 15 SP1 : screen 4.6.2-5.3.1
  SUSE LE 15 SP2 : screen 4.6.2-5.3.1
  SUSE LE 15 SP3 : screen 4.6.2-5.3.1

Ubuntu : nouveaux paquetages screen.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.10 : screen 4.8.0-2ubuntu0.1
  Ubuntu 20.04 LTS : screen 4.8.0-1ubuntu0.1
  Ubuntu 18.04 LTS : screen 4.6.2-1ubuntu1.1
  Ubuntu 16.04 LTS : screen 4.3.1-2ubuntu0.1
  Ubuntu 14.04 ESM : screen 4.1.0~20120320gitdb59704-9ubuntu0.1~esm2
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit un correctif de vulnérabilités informatiques. La base de vulnérabilités Vigil@nce contient plusieurs milliers de failles.